Board Approved Loan (LOS to LMS)

Microservice: LMS Application Processor

Onboard a loan with a single API including the bank details and create a request for funding, if needed
Sample request:

POST /submit/business/onboard
{
"AdditionalRefId": "74388839",
"LoanProductId": "termloan",
"ProductCategory": "Business",
"ProductPortfolioType": "Installment",
"Comments": "Test",
"LoanOnboardedDate": "2022-01-01",
"BusinessRequest": [
{
"Address": {
"AddressLin...

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request payload for onboarding a business loan. Includes loan details, business information, applicant details, bank details, payment instruments, fees, and loan schedule.

Required Fields:

  • LoanProductId: Product identifier (e.g., "termloan")
  • ProductCategory: "Business" or "Individual"
  • ProductPortfolioType: "Installment", "Mortgage", "LineOfCredit", "Open", "Revolving", "MCA", "MCALOC", "SCF"
  • LoanOnboardedDate: Date in format "YYYY-MM-DD"
  • BusinessRequest: Array of business information

Example Payload:

{
  "AdditionalRefId": "74388839",
  "LoanProductId": "termloan",
  "ProductCategory": "Business",
  "ProductPortfolioType": "Installment",
  "Comments": "Test",
  "LoanOnboardedDate": "2022-01-01",
  "BusinessRequest": [
    {
      "Address": {
        "AddressLine1": "123 Main St"
      }
    }
  ]
}
string | null
date-time
date-time | null
date-time
string | null
string | null
string | null
string | null
string | null

Product category (e.g., "Business", "Individual")

string | null

Product portfolio type (e.g., "Installment", "Mortgage", "LineOfCredit", "Open", "Revolving", "MCA", "MCALOC", "SCF")

PaymentInstruments
array of objects | null
PaymentInstruments
ApplicantRequest
array of objects | null
ApplicantRequest
BusinessRequest
array of objects | null
BusinessRequest
LoanScheduleRequest
object
boolean
int32
enum
Allowed:
double
double
string | null
string | null
string | null
string | null
string | null
string | null
InvoiceDetails
array of objects | null
InvoiceDetails
boolean
string | null
boolean | null
int32
string | null
boolean
string | null
ParentLoanAdditionalDetails
object
date-time
CustomFields
object | null

Custom fields for additional loan attributes

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json